页面只读本地落盘的响应,打开时不会再次请求 API。

历史

黄金日线(人民币 / 克)

同一历史接口加上 currency 和 unit,把每根 K 线换成人民币每克。

GET https://api.metalcharts.org/v1/history/XAU?range=1M&interval=1d&currency=CNY&unit=g

状态
200
预计 weight
2
耗时
1124 ms
落盘时间
2026-10-27 10:28:12 UTC

查询参数:range=1M&interval=1d&currency=CNY&unit=g

是否成功
是
success
代码
XAU
symbol
range
1M
range
startDate
2026/9/24 10:28:14
startDate
endDate
2026/10/27 10:28:14
endDate
条数
24
count
来源
database
source
交易所
SPOT
exchange
_rid
dc5b88c6
_rid
货币
CNY
currency
重量单位
g
unit

数据

data

开高低收
时间timestamp价格price开open高high低low收close成交量volume
2026/9/24 00:00:00923.3692925.2813929.0733916.0552923.36920
2026/9/25 00:00:00925.336923.5813931.7161918.2567925.3360
2026/9/28 00:00:00887.8596922.9466923.5205886.9276887.85960
2026/9/29 00:00:00901.4741886.6185902.0388886.5537901.47410
2026/9/30 00:00:00896.1341901.6221909.5243894.0066896.13410
2026/10/1 00:00:00900.7728896.1363903.8272892.2433900.77280
2026/10/2 00:00:00893.0477900.021910.8658889.2302893.04770
2026/10/5 00:00:00892.386893.3042898.9863888.7236892.3860
2026/10/6 00:00:00897.6585892.7007901.9934884.7185897.65850
2026/10/7 00:00:00886.1692897.7232898.9023876.4713886.16920
2026/10/8 00:00:00891.0111885.7252893.4611884.1586891.01110
2026/10/9 00:00:00902.4633889.6056905.3098888.7062902.46330
2026/10/12 00:00:00897.6581902.5125907.509893.9807897.65810
2026/10/13 00:00:00894.8352897.7922904.0226892.4807894.83520
2026/10/14 00:00:00883.4453895.3444897.3843876.5037883.44530
2026/10/15 00:00:00894.065883.1133898.6858881.9452894.0650
2026/10/16 00:00:00896.0152893.3527902.5619891.5492896.01520
2026/10/19 00:00:00889.5582894.7057899.9955888.585889.55820
2026/10/20 00:00:00884.7459889.2468892.283882.8235884.74590
2026/10/21 00:00:00887.4447884.4771889.0529881.5082887.44470
2026/10/22 00:00:00863.9447887.1385888.9504862.8231863.94470
2026/10/23 00:00:00857.9969863.4789865.2441852.6237857.99690
2026/10/26 00:00:00860.4183856.1585863.9655852.7321860.41830
2026/10/27 00:00:00856.3754860.4464862.8527856.0993856.37540

24 行

换算汇率

fx

fieldfieldvaluevalue
来源 (source)ECB reference rates

1 行

字段结构

从这份响应推断出的路径、类型和示例值。数组只展开第一条,用来看字段,不代表全部行。

路径含义类型示例
(root)(root)对象success, data, symbol, range, startDate, endDate, count, source
success是否成功boolean是
datadata数组 · 24 条timestamp, price, open, high, low, close
data[]data对象timestamp, price, open, high, low, close, volume
data[].timestamp时间string2026/9/24 00:00:00
data[].price价格number923.3692
data[].open开number925.2813
data[].high高number929.0733
data[].low低number916.0552
data[].close收number923.3692
data[].volume成交量number0
symbol代码stringXAU
rangerangestring1M
startDatestartDatestring2026/9/24 10:28:14
endDateendDatestring2026/10/27 10:28:14
count条数number24
source来源stringdatabase
exchange交易所stringSPOT
_rid_ridstringdc5b88c6
currency货币stringCNY
unit重量单位stringg
fx汇率对象source
fx.source来源stringECB reference rates
原始 JSON
{
  "success": true,
  "data": [
    {
      "timestamp": "2026-09-24T00:00:00.000Z",
      "price": 923.369232029,
      "open": 925.281323614,
      "high": 929.073264006,
      "low": 916.055228028,
      "close": 923.369232029,
      "volume": 0
    },
    {
      "timestamp": "2026-09-25T00:00:00.000Z",
      "price": 925.335996521,
      "open": 923.581288815,
      "high": 931.716074095,
      "low": 918.256671635,
      "close": 925.335996521,
      "volume": 0
    },
    {
      "timestamp": "2026-09-28T00:00:00.000Z",
      "price": 887.859567816,
      "open": 922.94657165,
      "high": 923.520494745,
      "low": 886.927577084,
      "close": 887.859567816,
      "volume": 0
    },
    {
      "timestamp": "2026-09-29T00:00:00.000Z",
      "price": 901.474145788,
      "open": 886.618468402,
      "high": 902.038832255,
      "low": 886.553747952,
      "close": 901.474145788,
      "volume": 0
    },
    {
      "timestamp": "2026-09-30T00:00:00.000Z",
      "price": 896.134060398,
      "open": 901.622073938,
      "high": 909.524343009,
      "low": 894.006615458,
      "close": 896.134060398,
      "volume": 0
    },
    {
      "timestamp": "2026-10-01T00:00:00.000Z",
      "price": 900.772801431,
      "open": 896.136271989,
      "high": 903.827195085,
      "low": 892.243341528,
      "close": 900.772801431,
      "volume": 0
    },
    {
      "timestamp": "2026-10-02T00:00:00.000Z",
      "price": 893.047729886,
      "open": 900.02104936,
      "high": 910.865780013,
      "low": 889.23020818,
      "close": 893.047729886,
      "volume": 0
    },
    {
      "timestamp": "2026-10-05T00:00:00.000Z",
      "price": 892.386005948,
      "open": 893.304230849,
      "high": 898.98630895,
      "low": 888.72362557,
      "close": 892.386005948,
      "volume": 0
    },
    {
      "timestamp": "2026-10-06T00:00:00.000Z",
      "price": 897.658543448,
      "open": 892.700711853,
      "high": 901.993382547,
      "low": 884.718542628,
      "close": 897.658543448,
      "volume": 0
    },
    {
      "timestamp": "2026-10-07T00:00:00.000Z",
      "price": 886.169244031,
      "open": 897.723167705,
      "high": 898.902316816,
      "low": 876.471349067,
      "close": 886.169244031,
      "volume": 0
    },
    {
      "timestamp": "2026-10-08T00:00:00.000Z",
      "price": 891.011082896,
      "open": 885.725201299,
      "high": 893.46105351,
      "low": 884.158628682,
      "close": 891.011082896,
      "volume": 0
    },
    {
      "timestamp": "2026-10-09T00:00:00.000Z",
      "price": 902.463273762,
      "open": 889.605602176,
      "high": 905.309783486,
      "low": 888.706211321,
      "close": 902.463273762,
      "volume": 0
    },
    {
      "timestamp": "2026-10-12T00:00:00.000Z",
      "price": 897.658053148,
      "open": 902.512493394,
      "high": 907.508983738,
      "low": 893.980686728,
      "close": 897.658053148,
      "volume": 0
    },
    {
      "timestamp": "2026-10-13T00:00:00.000Z",
      "price": 894.835237479,
      "open": 897.792176094,
      "high": 904.022567957,
      "low": 892.480739291,
      "close": 894.835237479,
      "volume": 0
    },
    {
      "timestamp": "2026-10-14T00:00:00.000Z",
      "price": 883.445278649,
      "open": 895.344429791,
      "high": 897.384287346,
      "low": 876.503667475,
      "close": 883.445278649,
      "volume": 0
    },
    {
      "timestamp": "2026-10-15T00:00:00.000Z",
      "price": 894.065034982,
      "open": 883.113316071,
      "high": 898.685822141,
      "low": 881.945172246,
      "close": 894.065034982,
      "volume": 0
    },
    {
      "timestamp": "2026-10-16T00:00:00.000Z",
      "price": 896.015240196,
      "open": 893.352695281,
      "high": 902.561923442,
      "low": 891.54920308,
      "close": 896.015240196,
      "volume": 0
    },
    {
      "timestamp": "2026-10-19T00:00:00.000Z",
      "price": 889.558166873,
      "open": 894.70570231,
      "high": 899.995471349,
      "low": 888.585037302,
      "close": 889.558166873,
      "volume": 0
    },
    {
      "timestamp": "2026-10-20T00:00:00.000Z",
      "price": 884.74587348,
      "open": 889.246795376,
      "high": 892.283028434,
      "low": 882.82354372,
      "close": 884.74587348,
      "volume": 0
    },
    {
      "timestamp": "2026-10-21T00:00:00.000Z",
      "price": 887.444734606,
      "open": 884.477110588,
      "high": 889.052908884,
      "low": 881.508230916,
      "close": 887.444734606,
      "volume": 0
    },
    {
      "timestamp": "2026-10-22T00:00:00.000Z",
      "price": 863.944681417,
      "open": 887.138510828,
      "high": 888.950361409,
      "low": 862.823060855,
      "close": 863.944681417,
      "volume": 0
    },
    {
      "timestamp": "2026-10-23T00:00:00.000Z",
      "price": 857.996920737,
      "open": 863.47887127,
      "high": 865.244106431,
      "low": 852.6236866,
      "close": 857.996920737,
      "volume": 0
    },
    {
      "timestamp": "2026-10-26T00:00:00.000Z",
      "price": 860.418268731,
      "open": 856.158476565,
      "high": 863.965475045,
      "low": 852.732050131,
      "close": 860.418268731,
      "volume": 0
    },
    {
      "timestamp": "2026-10-27T00:00:00.000Z",
      "price": 856.37544429,
      "open": 860.446398108,
      "high": 862.85274501,
      "low": 856.099325767,
      "close": 856.37544429,
      "volume": 0
    }
  ],
  "symbol": "XAU",
  "range": "1M",
  "startDate": "2026-09-24T10:28:14.748Z",
  "endDate": "2026-10-27T10:28:14.748Z",
  "count": 24,
  "source": "database",
  "exchange": "SPOT",
  "_rid": "dc5b88c6",
  "currency": "CNY",
  "unit": "g",
  "fx": {
    "source": "ECB reference rates"
  }
}